package com.caimei365.user.service;

import com.caimei365.user.model.dto.BehaviorRecordDto;
import com.caimei365.user.model.dto.RoosInformationDto;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/12/9
 */
public interface RoosInformationService {
    /**
     * 查看用户是否有过弹框，游客当天是否有过弹框
     * @param IP
     * @return
     */
    Boolean boolIsClick(String IP);

    /**
     * 插入填写咨询人基本信息
     * @param roosInformationDto
     */
    void insRoosInformation(RoosInformationDto roosInformationDto);

    /**
     * 查看访问者是否浏览过roos相关页面
     * @param IP
     * @return
     */
    Boolean selectVisitRoos(String userID ,String IP);

    /**
     * 获取用户访问IP
     * @return
     */
    String obtainIp();
}
